Skip to main content
GET
List batch items with live execution state

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

batch_id
string<uuid>
required

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

embed
string | null

Relation embedding. Available values: run. Use a comma-separated list to request multiple embeds.

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Successful Response

Paginated response envelope for batch items.

items
BatchItemRow · object[]
required
first
string | null
next
string | null
previous
string | null